/**
 * Single “Post” CPT styles
 * (Not including any common components).
 * ------------------------------------------------------------------------- */

 /* Blog label/pill thing. Should be moved into a generic component. ------- */

.blog-label {
  font-size: 1.6rem;
  line-height: 1.5;
  margin-bottom: 1em;
}

.label-category {
  color: #179bcc;
  display: inline-block;
  font-weight: 600;
  margin-right: 1em;
}

.label-category a {
  color: inherit;
  text-decoration: none;
}

.label-category a:hover,
.label-category a:active {
  text-decoration: underline;
}

.post-pub-date {
  color: #6b7280;
  display: inline-block;
}

/* Single post page-specific styles --------------------------------------- */

.single-post #site-content {
  overflow: visible;
}

.single-post .type-credit-card,
.single-post .type-refinancing,
.single-post .type-student-loan,
.single-post .type-post {
  margin: 0 auto;
  max-width: 114.4rem;
}

.single-post .blog-wrapper {
  color: #1f2937;
  font-size: 1.8rem;
  grid-column: span 12/auto;
  line-height: 1.55555555556;
  margin: 0 auto 4rem;
  padding: 0 1.6rem;
}

.single-post .blog-wrapper h1,
.single-post .blog-wrapper h2,
.single-post .blog-wrapper h3,
.single-post .blog-wrapper h4,
.single-post .blog-wrapper h5,
.single-post .blog-wrapper h6,
.single-post .blog-wrapper p,
.single-post .blog-wrapper ul,
.single-post .blog-wrapper ol {
  margin-top: 0;
}

.single-post .blog-wrapper h2,
.single-post .blog-wrapper h3,
.single-post .blog-wrapper h4,
.single-post .blog-wrapper h5,
.single-post .blog-wrapper h6 {
  color: #111827;
  font-style: normal;
  font-weight: 700;
  letter-spacing: -0.02em;
}

.single-post .blog-wrapper h2 {
  font-size: 3.2rem;
  line-height: 1.25;
  margin-bottom: 0.25em;
  margin-top: 4rem;
  text-transform: none;
}

.single-post .blog-wrapper h3 {
  font-size: 2.8rem;
  line-height: 1.42857142857;
  margin-bottom: 0.28571428571em;
  margin-top: 2.4rem;
}

.single-post .blog-wrapper h4,
.single-post .blog-wrapper h5,
.single-post .blog-wrapper h6 {
  color: #1f2937;
  font-size: 2rem;
  font-weight: 500;
  letter-spacing: normal;
  line-height: 1.2;
  margin-bottom: 0.4em;
  margin-top: 0.8rem;
}

.single-post .blog-wrapper .component *:last-child {
  margin-bottom: 0;
}

@media (min-width: 1024px) {
  .single-post .blog-wrapper {
    margin-bottom: 5.6rem;
  }
}

/* Blog header */

.single-post .blog-header {
  display: flex;
  flex-direction: column;
}

.single-post .blog-header-image-wrap {
  border-radius: 0.6rem;
  height: 32rem;
  margin-bottom: 4rem;
  overflow: hidden;
}

.single-post .blog-header-image {
  display: block;
  height: 100%;
  object-fit: cover;
  width: 100%;
}

.single-post .blog-header-content-wrap {
  padding-top: 4rem;
}

.single-post .blog-headline {
  color: inherit;
  font-size: 4rem;
  font-weight: 700;
  letter-spacing: -0.02em;
  line-height: 1.2;
  margin: 0 0 1em;
}

.single-post .blog-excerpt {
  display: none;
}

@media (min-width: 1024px) {
  .single-post .blog-header {
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    margin: 0 0 5.7rem;
    padding: 0 2rem;
  }

  .single-post .blog-header-image-wrap {
    height: auto;
    margin-bottom: 0;
    max-height: 45.1rem;
    width: 48.5428051002%;
  }

  .single-post .blog-header-content-wrap {
    padding: 0;
    width: 46.2659380692%;
  }

  .single-post .blog-header-content-wrap *:last-child {
    margin-bottom: 0;
  }

  .single-post .blog-headline {
    margin-bottom: 0.4em;
  }

  .single-post .blog-excerpt {
    display: block;
    font-size: 1.8rem;
    line-height: 1.55555555556;
  }
}

/* Blog content */

.single-post .blog-toc {
  border-bottom: 1px solid rgba(71, 71, 71, 0.34);
  display: flex;
  flex-direction: column;
  margin-bottom: 2.8rem;
  padding: 1.9rem 0 1.8rem;
}

.single-post .blog-toc .toc-label {
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.33333333333;
  margin: 0;
  position: relative;
}

.js .single-post .blog-toc .toc-label::after {
  background: url(../images/arrow-navy-down.svg) center no-repeat;
  background-size: contain;
  content: '';
  height: 2.4rem;
  margin-top: -1.2rem;
  position: absolute;
  right: 0;
  top: 50%;
  transition: transform 0.4s ease-in-out;
  width: 2.4rem;
}

.js .single-post .blog-toc .toc-label.active::after {
  transform: rotate(180deg);
}

.js .single-post .blog-toc .toc-wrapper {
  display: none;
}

.single-post .blog-toc .toc-items {
  list-style-type: none;
  margin: 0;
  padding: 1rem 0 0;
}

.single-post .blog-toc .toc-subitems {
  list-style-type: none;
  margin: 0 2.8rem;
  padding: 0;
}

.js .single-post .blog-toc .toc-subitems {
  overflow: hidden;
  transition: height 0.2s;
}

.js .single-post .blog-toc .toc-subitems.inactive {
  height: 0;
}

.single-post .blog-toc .toc-item {
  color: #374151;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.42857142857;
  margin: 0;
  padding: 0;
}

.single-post .blog-toc .toc-item:last-child {
  margin-bottom: 0;
}

.single-post .blog-toc .toc-item a {
  color: inherit;
  display: block;
  padding: 0.71428571428em;
  text-decoration: none;
}

.single-post .blog-toc .toc-item a:hover,
.single-post .blog-toc .toc-item a:active {
  background-color: #f3f4f6;
  border-radius: 0.6rem;
}

.single-post .blog-bulk-content p,
.single-post .blog-bulk-content ol,
.single-post .blog-bulk-content ul {
  font-size: 1.8rem;
  line-height: 1.55555555556;
  margin-bottom: 0.44444444444em;
}

.single-post .blog-bulk-content ol,
.single-post .blog-bulk-content ul {
  margin-bottom: 0.88888888888em !important;
  margin-top: 0.88888888888em;
}

.single-post .blog-bulk-content ol {
  margin-left: 0.5em;
}

.single-post .blog-bulk-content ul {
  margin-left: 0.3em;
}

.single-post .blog-bulk-content li {
  font-size: inherit;
  line-height: inherit;
  margin-bottom: 0.66666666666em;
}

.single-post .blog-bulk-content table {
  margin-bottom: 1.6rem;
  margin-top: 1.6rem;
}

.blog-section-content figure,
.blog-section-content img {
  max-width: 100%;
  width: 100%;
}

.blog-section-content figure {
  margin: 0 auto 4rem;
}

.blog-section-content figure *:last-child {
  margin-bottom: 0;
}

.blog-section-content img {
  border-radius: 0.6rem;
  display: block;
  margin: 0 auto 1.6rem;
}

.blog-section-content figcaption {
  color: #6b7280;
  font-weight: 500;
  font-size: 1.4rem;
  line-height: 1.42857142857;
}

@media (min-width: 1024px) {
  .single-post .blog-content-wrap {
    align-items: flex-start;
    display: flex;
    gap: 2.4rem;
    justify-content: space-between;
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .single-post .blog-toc-wrap {
    position: sticky;
    top: 3.2rem;
    width: 23.3636363636%;
  }

  .single-post .blog-toc-inner {
    position: relative;
  }

  .single-post .blog-toc {
    border-bottom: none;
    font-size: 1.4rem;
    margin-bottom: 2.4rem;
    padding-top: 0.6rem;
  }

  .single-post .blog-toc .toc-label {
    border-bottom: 1px solid #eaecf0;
    font-size: inherit;
    font-weight: 600;
    line-height: 1.57142857143;
    margin-bottom: 1.14285714286em;
    padding-bottom: 0.57142857142em;
  }

  .js .single-post .blog-toc .toc-label::after {
    content: none;
  }

  .js .single-post .blog-toc .toc-wrapper {
    display: block !important;
  }

  .single-post .blog-toc .toc-items {
    padding-top: 0;
  }

  .single-post .blog-toc .toc-item a {
    margin-bottom: 0.64285714285em;
    padding-bottom: 0.21428571428em;
    padding-top: 0.21428571428em;
  }

  .single-post .blog-toc .toc-item a.active {
    background-color: #fff;
    border-radius: 0.6rem;
  }

  .single-post .blog-bulk-content {
    width: 74.4545454545%;
  }

  .single-post .component-further-reading .component-title {
    margin-bottom: 1.2857142857em;
  }
}

/* Intro */

.intro-blog-content,
.main-blog-content .component {
  margin-bottom: 0.8rem;
}

@media (min-width: 1024px) {
  .intro-blog-content,
  .main-blog-content .component {
    margin-bottom: 0.8rem;
  }
}

/* “Related posts” component ----------------------------------------------- */

.related-posts {
  color: #111827;
  padding: 0 1.6rem;
}

.related-posts .btn-related-posts {
  background-color: #047eb3;
  border-radius: 4px;
  display: block;
  font-size: 1.4rem;
  font-weight: normal;
  height: 4.4rem;
  line-height: 1.1428571429;
  padding: 0.8571428571em 1.4285714286em;
  position: relative;
  text-align: center;
  top: -1.2rem;
}

.related-posts .related-posts-title {
  font-size: 2.8rem;
  line-height: 1.2142857143;
  margin: 0 0 0.8571428571em;
  text-transform: none;
}

.related-posts .related-posts-content {
  margin-bottom: 4.8rem;
}

@media (min-width: 1024px) {
  .related-posts {
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .related-posts .related-posts-header {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin-bottom: 3.2rem;
  }

  .related-posts .btn-related-posts {
    background-color: transparent;
    color: #179bcc;
    display: inline-block;
    font-weight: 500;
    font-size: 1.6rem;
    height: auto;
    line-height: 1.5;
    padding: 0;
    position: static;
  }

  .related-posts .related-posts-title {
    font-weight: 800;
    line-height: 1.28571428571;
    margin-bottom: 0;
  }

  .related-posts .related-posts-content {
    column-gap: 2%;
    display: flex;
    justify-content: space-between;
  }

  .related-posts .post-card-vertical {
    width: 33%;
  }
}

/* “Post card--Vertical” component ----------------------------------------- */

.post-card-vertical {
  display: flex;
  flex-direction: column;
  margin-bottom: 4.8rem;
}

.post-card-vertical-image-wrap {
  aspect-ratio: 5 / 3;
  margin-bottom: 1.3rem;
  overflow: hidden;
}

.post-card-vertical-image {
  display: block;
  height: auto;
  width: 100%;
}

.post-card-vertical-title {
  font-size: 1.8rem;
  letter-spacing: -0.02em;
  line-height: 1.5555555556;
  margin: 0 0 0.1428571429em;
}

.post-card-vertical-title a {
  color: inherit;
  text-decoration: none;
}

.post-card-vertical-title a:hover,
.post-card-vertical-title a:active {
  text-decoration: underline;
}

.post-card-vertical-excerpt {
  line-height: 1.375;
  margin: 0;
}

@media (min-width: 1024px) {
  .post-card-vertical {
    margin-bottom: 0;
  }

  .post-card-vertical-image-wrap {
    border-radius: 0.6rem;
    box-shadow: 0 20px 25px -5px rgba(16, 24, 40, 0.1),
        0 8px 10px -6px rgba(16, 24, 40, 0.1);
    margin-bottom: 2.4rem;
  }

  .post-card-vertical-title {
    font-size: 2.4rem;
    line-height: 1.33333333333;
    margin: 0;
  }
}

/* “Financial product offering” component ---------------------------------- */

.widget-financial-product-offering {
  background-color: #fff;
  border: 0.1rem solid #f3f4f6;
  border-radius: 0.6rem;
  box-shadow: 0 0.1rem 0.3rem rgba(16, 24, 40, 0.1),
      0 0.1rem 0.2rem -0.1rem rgba(16, 24, 40, 0.1);
  margin: 0 0 2.4rem;
  padding: 1.6rem;
}

.widget-financial-product-offering .widget-fpo-desktop {
  display: none;
}

.widget-financial-product-offering .btn {
  background-color: #1aace3;
  border-radius: 0.6rem;
  color: #fff;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.42857142857;
  padding: 0.42857142857em;
  text-align: center;
}

/* Heading */
.widget-financial-product-offering .widget-fpo-heading {
  margin-bottom: 1.6rem;
}

.widget-financial-product-offering .widget-fpo-heading .widget-fpo-title {
  color: #179bcc;
  font-size: 1.8rem;
  font-weight: 600;
  letter-spacing: normal;
  line-height: 1.22222222222;
  margin: 0;
}

.widget-financial-product-offering .widget-fpo-heading .btn {
  display: none;
}

/* Lender information */
.widget-financial-product-offering .widget-fpo-lender {
  align-items: center;
  display: flex;
  margin-bottom: 2.4rem;
}

.widget-financial-product-offering .widget-fpo-lender .widget-fpo-logo-wrapper {
  aspect-ratio: 1;
  /*background-color: #f9fafb;*/
  border: 1px solid #e5e7eb;
  border-radius: 0.6rem;
  max-width: 10.3rem;
  margin: 0 0.8rem 0 0;
  padding: 0.8rem;
  width: 33%;
}

.widget-financial-product-offering .widget-fpo-lender .widget-fpo-logo-wrapper img {
  height: 100%;
  margin: 0;
  object-fit: contain;
  width: 100%;
}

.widget-financial-product-offering .widget-fpo-lender .widget-fpo-title-wrapper {
  flex-grow: 1;
  padding: 1.5rem 0;
}

.widget-financial-product-offering .widget-fpo-lender .widget-fpo-title {
  color: #1f2937;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.22222222222;
  margin: 0 0 0.55555555555em;
}

/* Rating */
.widget-fpo-rating-wrapper {
  align-items: center;
  display: flex;
}

.rating-visualization {
  margin: 0 1rem 0 0;
  position: relative;
  white-space: nowrap;
}

.rating-stars-full {
  left: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
}

img.rating-star {
  display: inline-block;
  height: 1.8rem;
  margin: 0 0 0 -0.125rem;
  width: 1.8rem;
}

.widget-fpo-rating {
  color: #111827;
  font-size: 1.4rem;
  font-weight: 700;
  line-height: 1.21428571429;
}

.widget-fpo-rating-label {
  color: #4b5563;
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 1.25;
}

/* Mobile button */
.widget-financial-product-offering .widget-fpo-mobile-btn-wrapper {
  margin: 0 0 2.4rem;
}

.widget-financial-product-offering .widget-fpo-mobile .btn {
  display: block;
  margin: 0;
}

/* Rates */
.widget-financial-product-offering .widget-fpo-rate-container {
  background-color: #f9fafb;
  border: 0.1rem solid #e5e7eb;
  border-radius: 0.6rem;
  margin: 0 0 2.4rem;
  padding: 1.6rem;
}

.widget-financial-product-offering .widget-fpo-rate {
  align-items: center;
  justify-content: space-between;
  display: flex;
  padding-bottom: 1.2rem;
}

.widget-financial-product-offering .widget-fpo-rate + .widget-fpo-rate {
  border-top: 1px solid #e5e7eb;
  padding-top: 1.2rem;
}

  .widget-financial-product-offering .widget-fpo-rate:last-child {
    padding-bottom: 0;
  }

.widget-financial-product-offering .widget-fpo-rate-label {
  color: #4b5563;
  font-size: 1.2rem;
  font-weight: 500;
  line-height: 1.25;
}

.widget-financial-product-offering .widget-fpo-rate-value {
  color: #111827;
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 1.21428571429;
  text-align: right;
}

/* Mobile content */
.widget-financial-product-offering  .widget-fpo-content-container {
  padding-top: 0.3rem;
}

.widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-label {
  border-bottom: 0.1rem solid #e5e7eb;
  color: #1f2937;
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 1.21428571429;
  margin: 0 0 0.85714285714em;
  padding-bottom: 0.71428571428em;
  position: relative;
}

.js .widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-label {
  cursor: pointer;
}

.js .widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-label.active {
  color: #179bcc;
}

.js .widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-label::after {
  background: url(../images/icons/arrow-dark-fpo.svg) center no-repeat;
  background-size: contain;
  content: '';
  height: 1.2rem;
  margin-top: -1rem;
  pointer-events: none;
  position: absolute;
  right: 0;
  top: 50%;
  transition: transform 0.4s ease-in-out;
  width: 1.2rem;
}

.js .widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-label.active::after {
  background-image: url(../images/icons/arrow-blue-fpo.svg);
  transform: rotate(180deg);
}

.widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-wrapper {
  font-size: 1.4rem;
  line-height: 1.42857142857;
  padding-bottom: 1em;
}

.widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-wrapper p,
.widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-wrapper ol,
.widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-wrapper ul {
  font-size: inherit;
  line-height: inherit;
  margin-bottom: 0.8em;
}

.widget-financial-product-offering .widget-fpo-content-container .widget-fpo-content-wrapper .widget-fpo-pro-label {
  font-size: 1.2rem;
  font-weight: 700;
  margin-bottom: 0.5em;
}

@media (min-width: 1024px) {
  .widget-financial-product-offering .widget-fpo-mobile {
    display: none;
  }

  .widget-financial-product-offering .widget-fpo-desktop {
    display: flex;
  }

  .widget-financial-product-offering .widget-fpo-heading {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin-bottom: 2.4rem;
  }

  .widget-financial-product-offering .widget-fpo-heading .btn {
    display: inline-block;
    padding-left: 1.71428571429em;
    padding-right: 1.14285714286em;
  }

  .widget-financial-product-offering .widget-fpo-lender .widget-fpo-logo-wrapper {
    margin-right: 1.2rem;
  }

  .widget-financial-product-offering .widget-fpo-rate-container {
    background-color: transparent;
    border-width: 0;
    display: flex;
    padding: 0;
  }

  .widget-financial-product-offering .widget-fpo-rate {
    border-left: 0.1rem solid #76cdee;
    display: block;
    padding: 1rem 3rem 1rem 1.1rem;
  }

  .widget-financial-product-offering .widget-fpo-rate + .widget-fpo-rate {
    border-top-width: 0;
  }

  .widget-financial-product-offering .widget-fpo-rate-label {
    display: block;
    color: #6b7280;
    font-weight: 600;
    margin: 0 0 0.42857142857em;
  }

  .widget-financial-product-offering .widget-fpo-rate-value {
    color: #1f2937;
    display: block;
    font-weight: 500;
    text-align: left;
  }

  .widget-financial-product-offering .widget-fpo-tabs {
    width: 100%;
  }

  .widget-financial-product-offering .widget-fpo-tabs .tab {
    border-bottom: 1px solid #d1d5dB;
    color: #1f2937;
    cursor: pointer;
    flex-grow: 1;
    font-size: 1.2rem;
    font-weight: 500;
    line-height: 1.66666666667;
    padding: 0.5em 1em;
    text-align: center;
  }

  .widget-financial-product-offering .widget-fpo-tabs .tab.active {
    border-bottom: 0.2rem solid #1aace3;
    color: #1aace3;
    font-weight: 600;
  }

  .widget-financial-product-offering .widget-fpo-content {
    height: 8rem;
    overflow: hidden;
    position: relative;
    transition: height 0.4s ease-in-out;
  }

  .widget-financial-product-offering .widget-fpo-content-container {
    background-color: #fff;
    left: 0;
    padding-top: 0;
    position: absolute;
    top: 1.6rem;
  }

  .widget-financial-product-offering .widget-fpo-pros-and-cons {
    align-items: start;
    display: flex;
    justify-content: space-between;
  }

  .widget-financial-product-offering .widget-fpo-pro-wrapper {
    width: 48%;
  }
}
